Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Interface Identification

All Known Subinterfaces:
  DataIdentification, ServiceIdentification

    @Profile(level=CORE)
    @UML(identifier="MD_Identification",
         specification=ISO_19115)
    public interface Identification

Basic information required to uniquely identify a resource or resources.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getAbstract()` Brief narrative summary of the content of the resource(s).
`Collection<? extends AggregateInformation>` | `getAggregationInfo()` Provides aggregate dataset information
`Citation` | `getCitation()` Citation data for the resource(s).
`Collection<String>` | `getCredits()` Recognition of those who contributed to the resource(s).
`Collection<? extends Keywords>` | `getDescriptiveKeywords()` Provides category keywords, their type, and reference source.
`Collection<? extends BrowseGraphic>` | `getGraphicOverviews()` Provides a graphic that illustrates the resource(s) (should include a legend for the graphic).
`Collection<? extends ResponsibleParty>` | `getPointOfContacts()` Identification of, and means of communication with, person(s) and organizations(s) associated with the resource(s).
`InternationalString` | `getPurpose()` Summary of the intentions with which the resource(s) was developed.
`Collection<? extends Constraints>` | `getResourceConstraints()` Provides information about constraints which apply to the resource(s).
`Collection<? extends Format>` | `getResourceFormat()` Provides a description of the format of the resource(s).
`Collection<? extends MaintenanceInformation>` | `getResourceMaintenance()` Provides information about the frequency of resource updates, and the scope of those updates.
`Collection<? extends Usage>` | `getResourceSpecificUsages()` Provides basic information about specific application(s) for which the resource(s) has/have been or is being used by different users.
`Collection<Progress>` | `getStatus()` Status of the resource(s).

Method Detail

### getCitation

    @Profile(level=CORE)
    @UML(identifier="citation",
         obligation=MANDATORY,
         specification=ISO_19115)
    Citation getCitation()

  Citation data for the resource(s).

### getAbstract

    @Profile(level=CORE)
    @UML(identifier="abstract",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getAbstract()

  Brief narrative summary of the content of the resource(s).

### getPurpose

    @UML(identifier="purpose",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getPurpose()

  Summary of the intentions with which the resource(s) was developed.

### getCredits

    @UML(identifier="credit",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<String> getCredits()

  Recognition of those who contributed to the resource(s).

### getStatus

    @UML(identifier="status",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<Progress> getStatus()

  Status of the resource(s).

### getPointOfContacts

    @Profile(level=CORE)
    @UML(identifier="pointOfContact",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ResponsibleParty> getPointOfContacts()

  Identification of, and means of communication with, person(s) and organizations(s) associated with the resource(s).

### getResourceMaintenance

    @UML(identifier="resourceMaintenance",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends MaintenanceInformation> getResourceMaintenance()

  Provides information about the frequency of resource updates, and the scope of those updates.

### getGraphicOverviews

    @UML(identifier="graphicOverview",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends BrowseGraphic> getGraphicOverviews()

  Provides a graphic that illustrates the resource(s) (should include a legend for the graphic).

### getResourceFormat

    @UML(identifier="resourceFormat",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Format> getResourceFormat()

  Provides a description of the format of the resource(s).

### getDescriptiveKeywords

    @UML(identifier="descriptiveKeywords",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Keywords> getDescriptiveKeywords()

  Provides category keywords, their type, and reference source.

### getResourceSpecificUsages

    @UML(identifier="resourceSpecificUsage",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Usage> getResourceSpecificUsages()

  Provides basic information about specific application(s) for which the resource(s) has/have been or is being used by different users.

### getResourceConstraints

    @UML(identifier="resourceConstraints",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Constraints> getResourceConstraints()

  Provides information about constraints which apply to the resource(s).

### getAggregationInfo

    @UML(identifier="aggregationInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends AggregateInformation> getAggregationInfo()

  Provides aggregate dataset information

  Since:
    GeoAPI 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.